
From: Mika Kukkonen <mikukkon@gmail.com>

drivers/pnp/resource.c:24: warning: `pnp_skip_pci_scan' defined but not used

Signed-off-by: Mika Kukkonen (mikukkon@gmail.com)
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pnp/resource.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

diff -puN drivers/pnp/resource.c~fix-compile-warning-in-drivers-pnp-resourcec-with-config_pci drivers/pnp/resource.c
--- 25/drivers/pnp/resource.c~fix-compile-warning-in-drivers-pnp-resourcec-with-config_pci	2005-03-21 21:57:11.000000000 -0800
+++ 25-akpm/drivers/pnp/resource.c	2005-03-21 21:58:49.000000000 -0800
@@ -21,7 +21,6 @@
 #include <linux/pnp.h>
 #include "base.h"
 
-static int pnp_skip_pci_scan;				/* skip PCI resource scanning */
 static int pnp_reserve_irq[16] = { [0 ... 15] = -1 };	/* reserve (don't use) some IRQ */
 static int pnp_reserve_dma[8] = { [0 ... 7] = -1 };	/* reserve (don't use) some DMA */
 static int pnp_reserve_io[16] = { [0 ... 15] = -1 };	/* reserve (don't use) some I/O region */
@@ -385,9 +384,9 @@ int pnp_check_irq(struct pnp_dev * dev, 
 
 #ifdef CONFIG_PCI
 	/* check if the resource is being used by a pci device */
-	if (!pnp_skip_pci_scan) {
-		struct pci_dev * pci = NULL;
-		while ((pci = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pci)) != NULL) {
+	{
+		struct pci_dev *pci = NULL;
+		for_each_pci_dev(pci) {
 			if (pci->irq == *irq)
 				return 0;
 		}
_
